http://guardduty.{region}.amazonaws.com/detector/{detectorId}/findings/feedbackMarks the specified GuardDuty findings as useful or not useful.
The ID of the detector associated with the findings to update feedback for.
Additional feedback about the GuardDuty findings.
The feedback for the finding.
The IDs of the findings that you want to mark as useful or not useful.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/findings/feedback' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://guardduty.{region}.amazonaws.com/detector/{detectorId}/findings/feedbackMarks the specified GuardDuty findings as useful or not useful.
The ID of the detector associated with the findings to update feedback for.
Additional feedback about the GuardDuty findings.
The feedback for the finding.
The IDs of the findings that you want to mark as useful or not useful.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/findings/feedback' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}